Transfer to bank

This endpoint enables funds transfer from a customer's wallet to a bank.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

📘

Where to find the sortcode parameter

When you run the Get Banks Lists endpoint, you'll find the sortcode for individual banks

📘

Where do you find your sourceId?

The sourceId is the same thing as the customerId for this endpoint. To find the customerId, simply run the Get customer list endpoint. In that response, the ID within the userInfo object is the customerId. See an example below. Here's a sample of what you're looking for. ecca57f9-a1be-4463-a719-937ef287fb78.

Below is an example of the response you'll get when you run the Get customer list endpoint

{
    "data": {
      "userInfo": {
        "firstName": "john",
        "lastName": "ugochukwu",
        "phoneNumber": "08030135863",
        "roles": [
          "USER"
        ],
        "userType": "CUSTOMER",
        "address": "lugbe,abuja",
        "bvn": "21000000003",
        "dateOfBirth": "1992-05-17",
        "id": "ecca57f9-a1be-4463-a719-937ef287fb78",
        "createdAt": "2023-10-08T15:51:30.312Z",
        "updatedAt": "2023-10-08T15:51:30.312Z"
      },
      "wallet": {
        "id": "0b134510-c981-40f9-a0a9-983ab22544e1",
        "accountNumber": "1109854154",
        "accountName": "john ugochukwu",
        "isFrozen": false,
        "status": "active",
        "fundMethod": "STATIC_FUND"
      }
    },
    "status": 200,
    "message": "successful"
  
Body Params
string

This is the transactions narration. It can be what the transaction is for. Example, school fees.

string
required

The recipient's account number.

string
required

The recipient's name.

string
required

This is a unique code that represents a commercial bank. See the info box above this endpoint to learn how to find a sortCode

double
required

This is the amount to be transferred. eg. 2000

string
required

This is the account that'll be debited to facilitate the transfer. The source is the customerId. Please, see the information boxes to learn where to find the customerID

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json